Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry

From: martin rudalics <[email-masked]>
Date: Fri, 17 Nov 2017 09:53:00 +0100

> One other thing: I just checked the actual width of my frame by typing
 > 80 characters, and it's 80 characters even though xwininfo is
 > reporting 79.  So I think this is either an actual xwininfo bug, or a
 > minor interaction between emacs and X that causes the character size
 > of a pixel window to be seen slightly incorrectly.

The inherent idea here is that when Emacs comes up with a one-window
frame that does not contain a minibuffer window, the sizes specified by
'frame-width' and 'frame-height' match the maximum number of characters
on one line and the maximum number of lines that can be displayed
in that frame's window.  For each and every build of Emacs on every
platform and regardless of which other GUI elements are present.

So, for example, when you add/remove scrollbars or change the default
font of a frame, Emacs usually asks the window manager to change the
size of the (window manager) window to keep the number of lines/columns
of the frame constant.

martin